function Update () 

{ 

transform.Translate(Input.GetAxis("Horizontal") , 0, Input.GetAxis("Vertical")); 

}

 

 

function OnCollisionEnter(hit : Collision) 

 

{ 

 

if(hit.gameObject.tag  ==  "whole")           

 

 { 

 print("collision !");

 }

 

 else 

{ 

   print("no collision now"); 

} 

 

 }